Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.java.metadata
Class ArrayTypeFieldMetadata

    java.lang.Object
      org.modeshape.sequencer.java.metadata.FieldMetadata
          org.modeshape.sequencer.java.metadata.ArrayTypeFieldMetadata

    public class ArrayTypeFieldMetadata

extends FieldMetadata

ArrayTypeFieldMetadata represents the meta data for an array type.

Constructor Summary
`ArrayTypeFieldMetadata()`

Method Summary
`FieldMetadata` | `getComponentType()`
`FieldMetadata` | `getElementType()`
`boolean` | `isArrayType()` Find out if a field is a array type or not.
`void` | `setComponentType(FieldMetadata componentType)`
`void` | `setElementType(FieldMetadata elementType)`
`String` | `toString()`

Methods inherited from class org.modeshape.sequencer.java.metadata.FieldMetadata
`getAnnotations, getModifiers, getName, getType, getVariables, hasModifierNamed, isParameterizedType, isPrimitiveType, isQualifiedType, isSimpleType, isWildcardType, setModifiers, setName, setType, setVariables`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ArrayTypeFieldMetadata

    public ArrayTypeFieldMetadata()

Method Detail

### isArrayType

    public boolean isArrayType()

  Find out if a field is a array type or not.

  Overrides:
    `isArrayType` in class `FieldMetadata`
  Returns:
    true if field is a array type.
  See Also:
    `FieldMetadata.isArrayType()`

### getElementType

    public FieldMetadata getElementType()

  Returns:
    elementType

### setElementType

    public void setElementType(FieldMetadata elementType)

  Parameters:
    `elementType` - Sets elementType to the specified value.

### getComponentType

    public FieldMetadata getComponentType()

  Returns:
    componentType

### setComponentType

    public void setComponentType(FieldMetadata componentType)

  Parameters:
    `componentType` - Sets componentType to the specified value.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.